> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whatabot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Sector

> Update a sector.

Update a sector's name.

<ParamField header="X-Api-Key" type="string" required>
  Your API key (prefixed with `wh_`).
</ParamField>

<ParamField path="id" type="string" required>
  Sector UUID.
</ParamField>

### Body

<ParamField body="name" type="string">
  Updated sector name.
</ParamField>

### Payload examples

<Tabs>
  <Tab title="Update name">
    ```json theme={null}
    {
      "name": "New Name"
    }
    ```
  </Tab>
</Tabs>

<RequestExample>
  ```bash theme={null}
  curl -X PATCH https://api.whatabot.app/api/v1/sectors/{id} \
    -H "X-Api-Key: wh_your_api_key" \
    -H "Content-Type: application/json" \
    -d '{"name": "New Name"}'
  ```
</RequestExample>

<ResponseExample>
  ```json 204 theme={null}
  ```
</ResponseExample>
